
QGIS Application - Feature request #2839

add rasterlite support in "add spatialite layer" or add new button "add rasterlite layer"

2010-06-26 12:13 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 12899

Description

Tested with rasterlite sample datasets.

Add a rasterlite db (containing just one layer, otherwise you'll hit #1040) through the "add raster layer" dialog. It will show fine.

If you add it through the "add spatialite layer" it will be "seen" as a vector feature and it will be added a polygon with the extent of the

raster map.

History

#1 - 2010-07-20 01:14 AM - luca76 -

+1.

After ECW problems, this should be nice.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-10-06 02:55 AM - Sandro Furieri

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

If you add it through the "add spatialite layer" it will be "seen" 

as a vector feature and it will be added a polygon with the extent

of the raster map.

please note: this absolutely isn't a bug, it's an intrinsic design feature

any RasterLite datasource is supported by a Polygon vector table representing the MBR for each single tile (this including any possible pyramid layer). all

this is strictly required so to support an R*Tree Spatial Index (i.e. the key feature accounting why RasterLite is surprisingly fast when accessing huge

datasources)
#6 - 2014-06-20 08:38 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

This seems outdated as anyway the future will be a unified way to add layers.
